Bug 228183 - The file version.h don't have a UTS_RELEASE entry for 2.6.18-1.2257.fc5smp version
The file version.h don't have a UTS_RELEASE entry for 2.6.18-1.2257.fc5smp v...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-10 21:50 EST by Kairo Araujo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-11 14:12:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kairo Araujo 2007-02-10 21:50:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.9) Gecko/20061206 Firefox/1.5.0.9

Description of problem:
The file /lib/modules/2.6.18-1.2257.fc5smp/build/include/linux/version.h (/usr/src/kernels/2.6.18-1.2257.fc5smp/include/linux/version.h) provide by  kernel-smp-devel-2.6.18-1.2257.fc5.i686.rpm package don't have de UTS_RELEASE entry specifying the kernel version.

---- CUT ----
[root@xxxxx linux]# cat version.h
#define LINUX_VERSION_CODE 132626
#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))
--- /CUT  ---
This entry is used in compile process. One example (mine example) is vmware configuration.
Olders version this entry make present
---- CUT ----
[root@xxxxx linux]# pwd
/lib/modules/2.6.17-1.2187_FC5smp/build/include/linux
[root@xxxxx linux]# cat version.h
#define UTS_RELEASE "2.6.17-1.2187_FC5smp"
#define LINUX_VERSION_CODE 132625
#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))
--- /CUT  ---

I put this entry in in version.h provides by kernel-smp-devel-2.6.18-1.2257.fc5.i686.rpm package and works successfully my compilations.

My _new_ version.h from kernel-smp-devel-2.6.18-1.2257.fc5.i686.rpm
---- CUT -----
[root@xxxxx linux]# cat version.h
#define UTS_RELEASE "2.6.18-1.2257_FC5smp"
#define LINUX_VERSION_CODE 132626
#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))

Version-Release number of selected component (if applicable):
kernel-smp-devel-2.6.18-1.2257.fc5.i686.rpm

How reproducible:
Always


Steps to Reproduce:
1. Update the Kernel version to 2.6.18-1.2257
2. Remove package and reinstall package kernel-smp-devel-2.6.18-1.2257.fc5.i686.rpm
3. Another FC5 update package to kernel-smp-devel-2.6.18-1.2257.fc5.i686.rpm

Actual Results:
I can't (re)compile sources with check version.h

Expected Results:


Additional info:
Comment 1 Chuck Ebbert 2007-02-11 14:12:28 EST
This was moved to utsrelease.h by the upstream kernel maintainers.
There's really not much we can do about it.

Note You need to log in before you can comment on or make changes to this bug.